ConfigurationException (Groovy 2.4.14)
Date: 2018-02-24

org.codehaus.groovy.control

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.groovy.control.ConfigurationException

- All Implemented Interfaces:
    java.io.Serializable, GroovyExceptionInterface

      public class ConfigurationException
      extends java.lang.RuntimeException
      implements GroovyExceptionInterface

  Thrown when configuration data is invalid.
  Author:
    Chris Poirier
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Exception` | `cause`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationException(java.lang.Exception cause)` Initializes the exception from a cause exception.
    `ConfigurationException(java.lang.String message)` Initializes the exception with just a message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Returns the causing exception, if available.
    `boolean` | `isFatal()` Its always fatal.
    `void` | `setFatal(boolean fatal)` Set fatal is just ignored.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cause

          protected java.lang.Exception cause

  - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException(java.lang.Exception cause)

      Initializes the exception from a cause exception.

    - #### ConfigurationException

          public ConfigurationException(java.lang.String message)

      Initializes the exception with just a message.

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Returns the causing exception, if available.
      Overrides:
        `getCause` in class `java.lang.Throwable`

    - #### isFatal

          public boolean isFatal()

      Its always fatal.
      Specified by:
        `isFatal` in interface `GroovyExceptionInterface`

    - #### setFatal

          public void setFatal(boolean fatal)

      Set fatal is just ignored.
      Specified by:
        `setFatal` in interface `GroovyExceptionInterface`